<?php
/**
 *  Guojiz网址导航系统
 *	www.guojiz.com
 *  作者：梦雨
 *  @ QQ50361804
 */
namespace app\admin\controller;

use think\Controller;
use app\admin\model\News as NewsModel;
use think\Db;
use app\admin\model\Newscate as NewscateModel;
use WordAnalysis\Analysis;
class News extends Common
{
    public function index()
    {
        $html = new NewsModel();
        $ks = input('ks');
        if (input('tid')) {
            $tid['f.tid'] = input('tid');
        } else {
            $tid = array();
        }
        if (!$ks) {
            $t = $html->alias('f')->join('newscate c', 'c.id=f.tid')->field('f.*,c.id as cid,c.name')->where($tid)->order('f.id desc')->paginate(15);

        } else {
            $t = $html->alias('f')->join('newscate c', 'c.id=f.tid')->field('f.*,c.id as cid,c.name')->where($tid)->order('f.id desc')->where('title', 'like', '%' . $ks . '%')->paginate(15, false, $config = ['query' => array('ks' => $ks)]);
        }
        $this->assign('t', $t);
        return view();
    }
    public function add()
    {
        $newscate = new NewscateModel();
        $news = new NewsModel();
        if (request()->isPost()) {
            $data = input('post.');
            $data['time'] = strtotime(input('time'));
            $data['view'] = 1;
            $data['uid'] = 1;
            if ($data['keywords'] == '') {
                $_ks = preg_replace("/[a-z,A-Z]|[0-9]/", "", $data['content']);
                $data['keywords'] = Analysis::getKeywords($_ks);
            }
            if ($data['description'] == '') {
                $data['description'] = mb_substr(strip_tags($data['content']), 0, 200, 'utf-8');
            }
            if ($news->add($data)) {
                return json(array('code' => 200, 'msg' => '添加成功'));
            } else {
                return json(array('code' => 0, 'msg' => '添加失败'));
            }
        }
        $tptc = $newscate->catetree();
        $this->assign('tptc', $tptc);
        $tags = config('web.WEB_TAG');
        $tagss = explode(',', $tags);
        $this->assign('tagss', $tagss);
        return view();
    }
    public function edit()
    {
        $news = new NewsModel();
        if (request()->isPost()) {
            $data = input('post.');
            $data['time'] = strtotime(input('time'));
            if ($data['keywords'] == '') {
                $_ks = preg_replace("/[a-z,A-Z]|[0-9]/", "", $data['content']);
                $data['keywords'] = Analysis::getKeywords($_ks);
            }
            if ($news->edit($data)) {
                return json(array('code' => 200, 'msg' => '修改成功'));
            } else {
                return json(array('code' => 0, 'msg' => '修改失败'));
            }
        }
        $newscate = db('newscate');
        $tptc = $news->find(input('id'));
        $tptcs = $newscate->select();
        $this->assign(array('tptcs' => $tptcs, 'tptc' => $tptc));
        $tags = config('web.WEB_TAG');
        $tagss = explode(',', $tags);
        $this->assign('tagss', $tagss);
        return view();
    }
    public function doUploadPic()
    {
        $file = request()->file('FileName');
        $info = $file->move(ROOT_PATH . DS . 'uploads');
        if ($info) {
            $path = WEB_URL . DS . 'uploads' . DS . $info->getSaveName();
            echo str_replace("\\", "/", $path);
        }
    }
    public function dels()
    {
        $news = new NewsModel();
        if ($news->destroy(input('post.id'))) {
            return json(array('code' => 200, 'msg' => '删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '删除失败'));
        }
    }
    public function delss()
    {
        $news = new NewsModel();
        $params = input('post.');
        $ids = implode(',', $params['ids']);
        $result = $news->batches('delete', $ids);
        if ($result) {
            return json(array('code' => 200, 'msg' => '批量删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '批量删除失败'));
        }
    }
    public function changechoice()
    {
        if (request()->isAjax()) {
            $change = input('change');
            $choice = db('news')->field('choice')->where('id', $change)->find();
            $choice = $choice['choice'];
            if ($choice == 1) {
                db('news')->where('id', $change)->update(['choice' => 0]);
                echo 1;
            } else {
                db('news')->where('id', $change)->update(['choice' => 1]);
                echo 2;
            }
        } else {
            $this->error('非法操作');
        }
    }
    public function changesttop()
    {
        if (request()->isAjax()) {
            $change = input('change');
            $sttop = db('news')->field('sttop')->where('id', $change)->find();
            $sttop = $sttop['sttop'];
            if ($sttop == 1) {
                db('news')->where('id', $change)->update(['sttop' => 0]);
                echo 1;
            } else {
                db('news')->where('id', $change)->update(['sttop' => 1]);
                echo 2;
            }
        } else {
            $this->error('非法操作');
        }
    }
    public function changeshow()
    {
        if (request()->isAjax()) {
            $change = input('change');
            $show = db('news')->field('show')->where('id', $change)->find();
            $show = $show['show'];
            if ($show == 1) {
                db('news')->where('id', $change)->update(['show' => 0]);
                echo 1;
            } else {
                db('news')->where('id', $change)->update(['show' => 1]);
                echo 2;
            }
        } else {
            $this->error('非法操作');
        }
    }
    //图片本地化
    public function bendi()
    {
        if (config(pa('NP6ZgJozVhyuF')) != pa('K7Q03OgSv')) {
            die(config('web.sq'));
        } else {
            return json(array('code' => 200, 'msg' => '本地化成功', 'content' => getCurContent(input('content'))));
        }
    }
    // 批量移动数据20211026
    public function tsxz()
    {
        if (warning() != shul()) {
            $this->error(config('web.sq'));
        }
        if (!funt('newscate',array('id'=>input('tid')))) {
            return json(array('code' => 0, 'msg' => '分类ID不存在'));
        }
        $params = input('post.');
        $ids = implode(',', $params['ids']);
        $arr = explode(',', $ids);
        $urls = array();
        for ($i = 0; $i < count($arr); $i++) {
            $datas['tid'] = input('tid');
            Db::name('news')->where("id = {$arr[$i]}")->update($datas);
        }
        return json(array('code' => 1, 'msg' => '移动成功'));
    }
}